from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XAccessibleSelection(XInterface, Protocol):
    def clearAccessibleSelection(self) -> None: ...
    def selectAllAccessibleChildren(self) -> None: ...
    def getSelectedAccessibleChildCount(self) -> int: ...
